Skip to main content
PATCH
/
v1
/
loans
/
{id}
/
shop
cURL
curl --request PATCH \
  --url https://sandbox-api.itscovered.com/lenders/v1/loans/{id}/shop \
  --header 'Authorization: Bearer <token>'
{
  "hostedDisplayUrl": "https://getquote.itscovered.com/acmemortgage/v2/quote/home/693f2f46-69ff-4f20-a4d9-abe982d34fd4",
  "id": "693f2f46-69ff-4f20-a4d9-abe982d34fd4",
  "loanId": "1234567890",
  "status": "NOT_YET_RATED",
  "contactPageUrl": "<string>",
  "shortHostedDisplayUrl": "<string>"
}
This endpoint is rate limited. See Rate Limits for more details.

Authorizations

Authorization
string
header
required

JWT Token

Path Parameters

id
string
required

The unique identifier of the loan application

Example:

"693f2f46-69ff-4f20-a4d9-abe982d34fd4"

Response

The response from the loan application shop

hostedDisplayUrl
string
required

The URL to display the loan application shop

Example:

"https://getquote.itscovered.com/acmemortgage/v2/quote/home/693f2f46-69ff-4f20-a4d9-abe982d34fd4"

id
string
required

The unique identifier of the loan application

Example:

"693f2f46-69ff-4f20-a4d9-abe982d34fd4"

loanId
string
required

The identifier of the loan application in the loan system

Example:

"1234567890"

status
enum<string>
required

The status of the loan application shop

Available options:
NOT_YET_RATED,
RC1_RATING,
RC1_RATED,
RC2_RATING,
RC2_RATED,
RC1_ERRORED,
CLOSED_WON,
CLOSED_LOST
Example:

"NOT_YET_RATED"

contactPageUrl
string<uri>

URL for the contact page for this loan application

shortHostedDisplayUrl
string<uri>

Short URL for the hosted borrower quote experience, when available